Subject: Re: nice really nice?
From: Robert Collins <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: thomas <[email-masked]>
Date: 26 Nov 2002 13:06:33 +1100

On Tue, 2002-11-26 at 14:00, Randall R Schulz wrote:
> Thomas,
> 
> One thing to keep in mind is that while Unix (and work-alikes) has a -20 
> (best scheduling priority) ... +20 (worst priority) range, Windows has only 
> the six distinct levels. I don't know how Cygwin maps the Unix nice values 
> to the Windows priorities, offhand. Probably it's a linear mapping.
> 
> I haven't had a chance to read the information about scheduling in Windows, 
> but I will. Thanks for referring me to it.

Windows has (offhand) ~ 30 scheduling levels. It has priority classes,
which 'group' processes, and then relative priorities within each
class.IIRC you can check sched,cc via CVS to see the actual mapping I
used, it's not linear as such, but nearly so.

Thomas,
 those tests show nothing other than the time it takes to push the iso
through to a bitbucket. Unless there is serious other load on the CPU,
the time *should* be constant.
Rob
-- 
---
GPG key available at: http://users.bigpond.net.au/robertc/keys.txt.
---